<div class="container-fluid">
    <form method="POST" class="col-12">
        <div class="btn-group pull-right">
            <button type="submit" name="save" value="save" class="btn btn-primary">Save definition</button>
            <button type="submit" name="clone" value="clone" class="btn btn-success" edgar_confirm_text="Really clone tutorial?">Clone tutorial</button>
            <div class="form-inline col-sm-2">
                <%  locals.combodata = {id: "id_course", class: "form-control", list: courses, name:"id_course", selected: currCourse} %>
                <%- include(`${locals.partialsRoot}/combo`) %>
            </div>
        </div>
        <h2>Tutorial definition</h2>
        <div class="row">
            <%- include("editTutorialPartialView") %>

            <div class="col-md-6">
                <h3>Steps</h3>
                <% if (!is_virgin) { %>
                    <p class="text-muted">The tutorial lost its virginity so the steps can not be re-ordered or new steps added.</p>
                <% } %>
                <div class="table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <th width="100px">Ordinal</th>
                            <th>Title</th>
                            <th width="100px"></th>
                            <!--<th>Reorder</th>-->
                        </thead>
                        <tbody>
                            <% for(var i = 0; i < steps.length; ++i) { %>
                                <tr>
                                    <td>
                                        <input type="hidden" name="steps[<%- i %>][id]" value="<%- steps[i].id %>" />
                                        <input type="number" class="form-control" min="1" max="100" name="steps[<%- i %>][ordinal]" value="<%- steps[i].ordinal %>"
                                        <% if (!is_virgin) { %>disabled<% } %>/>
                                    </td>
                                    <td>
                                        <%- steps[i].title %>
                                        <span class="pull-right">
                                            <a href="/feedback?tutorialId[]=<%- steps[i].id_tutorial %>&tutorialStepId[]=<%- steps[i].id %>">Feedback</a>
                                        </span>
                                    </td>
                                    <td>
                                        <a class="btn btn-sm btn-success" href="/tutorial/def/<%- tutorial_id %>/step/<%- steps[i].ordinal %>/edit">Edit</a>
                                    </td>
                                    <!--
                                    <td>
                                        <input type="hidden" name="steps[<%- i %>][id]" value="<%- steps[i].id %>" />
                                        <input type="hidden" name="steps[<%- i %>][ordinal]" value="<%- steps[i].ordinal %>" />

                                        <button type="button" class="btn btn-sm btn-info" <% if(i == 0) { %>disabled<% } %>>
                                            <span class="fa fa-arrow-up"></span>
                                        </button>
                                        <button type="button" class="btn btn-sm btn-info" <% if(i == steps.length - 1) { %>disabled<% } %>>
                                            <span class="fa fa-arrow-down"></span>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            <% } %>
                        </tbody>
                    </table>
                    <% if (is_virgin) { %>
                        <input type="hidden" name="virgin" value="true" />
                        <a href="/tutorial/def/<%- tutorial_id %>/edit/step/add" class="btn btn-success">Add step</a>
                    <% } else { %>
                        <button type="submit" name="virginize" value="virginize" class="btn btn-danger" edgar_confirm_text="Use with caution! All student sessions with their answers for this tutorial across all courses will be deleted! The tutorial structure may be edited afterwards.">Virginize tutorial</button>
                    <% } %>
                </div>
            </div>
        </div>
    </form>
</div>
